Upstream information

CVE-2020-26664 at MITRE

Description

A vulnerability in EbmlTypeDispatcher::send in VideoLAN VLC media player 3.0.11 allows attackers to trigger a heap-based buffer overflow via a crafted .mkv file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1180755 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 15 SP1
  • libvlc5 >= 3.0.11.1-bp151.5.12.1
  • libvlccore9 >= 3.0.11.1-bp151.5.12.1
  • vlc >= 3.0.11.1-bp151.5.12.1
  • vlc-codec-gstreamer >= 3.0.11.1-bp151.5.12.1
  • vlc-devel >= 3.0.11.1-bp151.5.12.1
  • vlc-jack >= 3.0.11.1-bp151.5.12.1
  • vlc-lang >= 3.0.11.1-bp151.5.12.1
  • vlc-noX >= 3.0.11.1-bp151.5.12.1
  • vlc-opencv >= 3.0.11.1-bp151.5.12.1
  • vlc-qt >= 3.0.11.1-bp151.5.12.1
  • vlc-vdpau >= 3.0.11.1-bp151.5.12.1
Patchnames:
openSUSE-2021-121
SUSE Package Hub 15 SP2
  • libvlc5 >= 3.0.13-bp152.2.12.1
  • libvlccore9 >= 3.0.13-bp152.2.12.1
  • vlc >= 3.0.13-bp152.2.12.1
  • vlc-codec-gstreamer >= 3.0.13-bp152.2.12.1
  • vlc-devel >= 3.0.13-bp152.2.12.1
  • vlc-jack >= 3.0.13-bp152.2.12.1
  • vlc-lang >= 3.0.13-bp152.2.12.1
  • vlc-noX >= 3.0.13-bp152.2.12.1
  • vlc-opencv >= 3.0.13-bp152.2.12.1
  • vlc-qt >= 3.0.13-bp152.2.12.1
  • vlc-vdpau >= 3.0.13-bp152.2.12.1
Patchnames:
openSUSE-2021-122
openSUSE-2021-714
openSUSE Leap 15.1
  • libvlc5 >= 3.0.11.1-lp151.6.12.1
  • libvlccore9 >= 3.0.11.1-lp151.6.12.1
  • vlc >= 3.0.11.1-lp151.6.12.1
  • vlc-codec-gstreamer >= 3.0.11.1-lp151.6.12.1
  • vlc-devel >= 3.0.11.1-lp151.6.12.1
  • vlc-jack >= 3.0.11.1-lp151.6.12.1
  • vlc-lang >= 3.0.11.1-lp151.6.12.1
  • vlc-noX >= 3.0.11.1-lp151.6.12.1
  • vlc-opencv >= 3.0.11.1-lp151.6.12.1
  • vlc-qt >= 3.0.11.1-lp151.6.12.1
  • vlc-vdpau >= 3.0.11.1-lp151.6.12.1
Patchnames:
openSUSE-2021-76
openSUSE Leap 15.2
  • libvlc5 >= 3.0.13-lp152.2.12.1
  • libvlccore9 >= 3.0.13-lp152.2.12.1
  • vlc >= 3.0.13-lp152.2.12.1
  • vlc-codec-gstreamer >= 3.0.13-lp152.2.12.1
  • vlc-devel >= 3.0.13-lp152.2.12.1
  • vlc-jack >= 3.0.13-lp152.2.12.1
  • vlc-lang >= 3.0.13-lp152.2.12.1
  • vlc-noX >= 3.0.13-lp152.2.12.1
  • vlc-opencv >= 3.0.13-lp152.2.12.1
  • vlc-qt >= 3.0.13-lp152.2.12.1
  • vlc-vdpau >= 3.0.13-lp152.2.12.1
Patchnames:
openSUSE-2021-691
openSUSE-2021-91
openSUSE Leap 15.3
  • libvlc5 >= 3.0.13-bp153.1.1
  • libvlccore9 >= 3.0.13-bp153.1.1
  • vlc >= 3.0.13-bp153.1.1
  • vlc-codec-gstreamer >= 3.0.13-bp153.1.1
  • vlc-lang >= 3.0.13-bp153.1.1
  • vlc-noX >= 3.0.13-bp153.1.1
  • vlc-qt >= 3.0.13-bp153.1.1
  • vlc-vdpau >= 3.0.13-bp153.1.1
Patchnames:
openSUSE Leap 15.3 GA libvlc5-3.0.13-bp153.1.1
openSUSE Leap 15.4
  • libvlc5 >= 3.0.17.3-bp154.1.49
  • libvlccore9 >= 3.0.17.3-bp154.1.49
  • vlc >= 3.0.17.3-bp154.1.49
  • vlc-codec-gstreamer >= 3.0.17.3-bp154.1.49
  • vlc-lang >= 3.0.17.3-bp154.1.49
  • vlc-noX >= 3.0.17.3-bp154.1.49
  • vlc-qt >= 3.0.17.3-bp154.1.49
  • vlc-vdpau >= 3.0.17.3-bp154.1.49
Patchnames:
openSUSE Leap 15.4 GA libvlc5-3.0.17.3-bp154.1.49
openSUSE Tumbleweed
  • libvlc5 >= 3.0.16-1.5
  • libvlccore9 >= 3.0.16-1.5
  • vlc >= 3.0.16-1.5
  • vlc-codec-gstreamer >= 3.0.16-1.5
  • vlc-devel >= 3.0.16-1.5
  • vlc-jack >= 3.0.16-1.5
  • vlc-lang >= 3.0.16-1.5
  • vlc-noX >= 3.0.16-1.5
  • vlc-opencv >= 3.0.16-1.5
  • vlc-qt >= 3.0.16-1.5
  • vlc-vdpau >= 3.0.16-1.5
Patchnames:
openSUSE Tumbleweed GA libvlc5-3.0.16-1.5


SUSE Timeline for this CVE

CVE page created: Fri Jan 8 22:06:54 2021
CVE page last modified: Wed Oct 26 22:45:21 2022